import React, { createContext, useContext } from 'react';
export const FunctionsContext = /*#__PURE__*/createContext({
  onFinish: () => null
});

// @ts-ignore
export const FunctionsProvider = _ref => {
  let {
    onFinish,
    children
  } = _ref;
  return /*#__PURE__*/React.createElement(FunctionsContext.Provider, {
    value: {
      onFinish
    }
  }, children);
};
export const useFunctions = () => {
  const context = useContext(FunctionsContext);
  if (context === undefined) {
    throw new Error('useUser must be used within a UserProvider');
  }
  return context;
};
//# sourceMappingURL=functionsContext.js.map